# Validação de integridade do documento

O serviço funciona para assinaturas attached (conteúdo anexado na assinatura) e detached (conteúdo não anexado na assinatura).\
Esse serviço não deverá ser utilizado para validação de assinaturas digitais e, não substitui o procedimento de validação de assinaturas pelo site oficial do ITI. &#x20;

<mark style="color:green;">`POST`</mark> `http://cess.local/validator-service`

#### Headers

| Name         | Type   | Description              |
| ------------ | ------ | ------------------------ |
| Content-Type | string | multipart/form-datateste |
| Accept       | string | application/json         |

#### Request Body

| Name      | Type   | Description                                                                                                                                |
| --------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| type      | string | <p>Tipo de assinatura:<br>- CMS<br>- CAdEs</p>                                                                                             |
| signature | string | Arquivo de assinatura                                                                                                                      |
| document  | string | Caso a assinatura seja Attached, não é necessário informar o conteúdo (document). Todavia, caso seja detached, será necessário informá-lo. |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "detail": {
        "signature": {
            "status": true,
            "code": 1185,
            "message": "All digital signatures of the document are intact"
        },
        "date": {
            "status": true,
            "code": 1187,
            "message": "Date of certificate is valid"
        },
        "crl": {
            "status": true,
            "code": 1191,
            "message": "CRL is valid"
        },
        "trust": {
            "status": true,
            "code": 1189,
            "chain": "Chain of certificate is trusted"
        }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/cess/api/validacao-de-assinatura.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
